Subject: Re: [rfc-i] rfcNNNNN.json

From: Alice Russo <[email-masked]>
Date: Mon, 10 May 2021 21:22:31 -0700

Hi Carsten,

Following up re: JSON files of RFC metadata.  To summarize, items #1 and #3 have been addressed; #2 requires ongoing data maintenance; #4 is queued to be addressed. Details below.

1) missing DOIs for 252 recent RFCs. 
-> Corrected files were posted 28 April. (The underlying process issue has been corrected.)

2) mismatch of JSON files for "Not Issued" and the list you provided of files that don't have .txt files.
-> It's intentional that there are records for "not issued" RFC numbers. The list on https://www.rfc-editor.org/never-issued/ as well as corresponding records in rfc-index.xml (and JSON files) are periodically updated. 

3) nonsensical pub-dates for "Not Issued" RFC numbers
-> Corrected files were posted 28 April. (This was an issue in index_json_creator.php; it has been updated.)

4) "broken RFC name" - extraneous whitespace in, e.g., obsoleted_by field
-> Queued to be addressed.

Regarding whether the JSON files are intended to be a complete resource:
Essentially, yes. At this point, rfc-index.xml is a more complete resource (and has rfc-index.xsd). Currently there is not a schema file for the JSON files; their content is intended to match rfc-index.xml. More info is here:  https://www.rfc-editor.org/rse/wiki/doku.php?id=rfc_metadata_in_the_v3_era

Alice Russo
RFC Production Center

On Apr 23, 2021, at 9:35 PM, Sandy Ginoza <[email-masked]> wrote:
> 
> Carsten,
> 
> Thank you for bringing this to our attention. We will examine these issues and get back to you.  
> 
> When you notice bugs or inconsistencies, please send mail to <[email-masked]>.  The right people will get the message and look into the issues. 
> 
> Thanks,
> Sandy 
> 
>> On Apr 23, 2021, at 4:40 PM, Carsten Bormann <[email-masked]> wrote:
>> 
>> On 23. Apr 2021, at 23:13, John Levine <[email-masked]> wrote:
>>> 
>>> That's a bug.
>> 
>> Thanks for the confirmation.
>> 
>> So my real question is maybe:
>> 
>> Are these files on a trajectory to become a reliable data source?
>> And, if yes, who should I be talking to when I find bugs or inconsistencies?
>> Is there an issue tracker somewhere?
>> Where is documentation collected (so I could, e.g., submit my CDDL file)?
>> 
>> More weirdness below ("pub_date"=>"November -0001”, spurious spaces in RFC names).
>> There also is the interesting case of RFC 1384 that was obsoleted by “RTR0011”, but that is also in rfc-index.txt, so I should probably believe that.
>> 
>> Grüße, Carsten
>> 
>> 
>> 
>> ** Features potentially used (rfc10.json): broken RFC name: [" RFC0016"]
>> ** Features potentially used (rfc1009.json): broken RFC name: [" RFC1812"]
[...]
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest